{% extends 'partials/base.html.twig' %}

{% block content %}
    {% if page.header.showcase %}
        {% set background_image = page.media.images|randomize|first %}
        <div class="showcase" {% if background_image %}style="background-image: url({{ background_image.url }});"{% endif %}>
        </div>
    {% endif %}

      {% set collection = page.collection()|reverse %}


      <div class="content bg-pattern-bright">
	  {% include 'partials/breadcrumbs.html.twig' %}
      <h2>{{ page.title }}</h2>

        <!-- {{ page.content }} -->
        <table>
          <tbody>
            <tr>
              <th>Date</th>
              <th>Title</th>
              <th>Time</th>
              <th>Category</th>
              <th>Mode</th>
              <th>Class</th>
              <th>Host</th>
              <th>Address</th>
            </tr>
            {% for ev in collection %}
                {% if ev.date|date('ymd') >= datetools.parseDate('today')|date('ymd') %}

              <tr class="
                {% if ev.date|date('ymd') == datetools.parseDate('today')|date('ymd') %}
                  table-row-highlight
                {% endif %}
                {% if ev.date|date('ymd') < datetools.parseDate('today')|date('ymd') %}
                  table-row-deactivated
                {% endif %}"
              >
                <td>
                  {% if grav.user.access.admin.super %} 
                    <a href="{{ "/admin/pages" ~ ev.url }}">
                      <img 
                        class="event-icon" 
                        alt="Edit this Event" 
                        src="{{ url('theme://images/icons/edit-symbolic.png') }}"
                      >
                    </a>
                  {% endif %}
                  <a href="{{ev.url}}">{{ ev.date|date("l, F j") }}</a>
                </td>
                <td><a href="{{ev.url}}">{{ ev.title }}</a></td>
                <td><a href="http://time.unitarium.com/utc/{{ ev.date|date("Hi") }}">{{ ev.date|date("H:i") }} UTC</a></td>
                <td>{{ ev.header.event.category|titleize }}</td>
                <td>{{ ev.header.event.mode|titleize }}</td>
                <td>
                  {% if ev.header.event.class != 'other' %}
                    <a href="https://re-volt.io/online/cars/{{ev.header.event.class}}">
                      {{ event_types[ev.header.event.class] }}
                    </a>
                  {% else %}
                    {% if ev.header.event.classlink %}<a href="{{ev.header.event.classlink}}">{% endif %}
                      {{ ev.header.event.otherclass }}
                    {% if ev.header.event.classlink %}</a>{% endif %}
                  {% endif %}
                </td>

                {% if ev.header.event.hosts %}
                  <td>
                    {% for host,ip in ev.header.event.hosts %}
                      {{ host }} {% if not loop.last %}<br/><br/>{% endif %}
                    {% endfor %}
                  </td>
                  <td>
                    {% for host,ip in ev.header.event.hosts %}
                      <code>{{ ip }}</code> {% if not loop.last %}<br/><br/>{% endif %}
                    {% endfor %}
                  </td>
                {% else %}
                  <td>{{ ev.header.event.host }}</td>
                  <td><code>{{ ev.header.event.ip }}</code></td>
                {% endif %}

              </tr>
              {% endif %}

            {% endfor %}

          </tbody>        
        </table>
      </div>
        

{% endblock %}
